﻿using System.IO;

namespace Horizon.Snapshots
{
    public class FileSystemWatcherState
    {
        #region Constructors, Destructors and Finalizers

        public FileSystemWatcherState(FileSystemWatcher fileSystemWatcher)
        {
            FileSystemWatcher = fileSystemWatcher;
            State = fileSystemWatcher.EnableRaisingEvents;
        }

        #endregion

        #region Public Enums, Properties and Fields

        public FileSystemWatcher FileSystemWatcher { get; }

        public bool State { get; }

        #endregion
    }
}