﻿using Jot;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Horizon.Utilities
{
    public static class WindowState
    {
        // expose the tracker instance
        public static Tracker FormTracker = new Tracker();

        static WindowState()
        {
            // tell Jot how to track Window objects
            FormTracker.Configure<Form>()
                .Id(form => form.Name)
                .Properties(form => new { form.Height, form.Width, form.Left, form.Top, form.WindowState })
                .PersistOn(nameof(Form.FormClosed));

        }
    }
}
